---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK8_x86-64_mac_Personal/build/macosx-x86_64-normal-server-release/jdk/lib/libj2pkcs11.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_Secmod_nssVersionCheck, symObjAddr: 0x0, symBinAddr: 0x3F34, symSize: 0x84 }
  - { offsetInCU: 0x105, offset: 0x105, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_Secmod_nssVersionCheck, symObjAddr: 0x0, symBinAddr: 0x3F34, symSize: 0x84 }
  - { offsetInCU: 0x29EB, offset: 0x29EB, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_Secmod_nssInitialize, symObjAddr: 0x84, symBinAddr: 0x3FB8, symSize: 0x1BA }
  - { offsetInCU: 0x2B86, offset: 0x2B86, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_Secmod_nssGetModuleList, symObjAddr: 0x23E, symBinAddr: 0x4172, symSize: 0x219 }
  - { offsetInCU: 0x26, offset: 0x3437, size: 0x8, addend: 0x0, symName: _findFunction, symObjAddr: 0x0, symBinAddr: 0x438B, symSize: 0x8C }
  - { offsetInCU: 0x80, offset: 0x3491, size: 0x8, addend: 0x0, symName: _findFunction, symObjAddr: 0x0, symBinAddr: 0x438B, symSize: 0x8C }
  - { offsetInCU: 0x2946, offset: 0x5D57, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_Secmod_nssGetLibraryHandle, symObjAddr: 0x8C, symBinAddr: 0x4417, symSize: 0x58 }
  - { offsetInCU: 0x2A11, offset: 0x5E22, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_Secmod_nssLoadLibrary, symObjAddr: 0xE4, symBinAddr: 0x446F, symSize: 0x70 }
  - { offsetInCU: 0x26, offset: 0x5F49, size: 0x8, addend: 0x0, symName: _ckDatePtrToJDateObject, symObjAddr: 0x0, symBinAddr: 0x44E0, symSize: 0x132 }
  - { offsetInCU: 0x312, offset: 0x6235, size: 0x8, addend: 0x0, symName: _ckDatePtrToJDateObject, symObjAddr: 0x0, symBinAddr: 0x44E0, symSize: 0x132 }
  - { offsetInCU: 0x2C8E, offset: 0x8BB1, size: 0x8, addend: 0x0, symName: _ckVersionPtrToJVersion, symObjAddr: 0x132, symBinAddr: 0x4612, symSize: 0x94 }
  - { offsetInCU: 0x2D6C, offset: 0x8C8F, size: 0x8, addend: 0x0, symName: _ckSessionInfoPtrToJSessionInfo, symObjAddr: 0x1C6, symBinAddr: 0x46A6, symSize: 0xA6 }
  - { offsetInCU: 0x2E68, offset: 0x8D8B, size: 0x8, addend: 0x0, symName: _ckAttributePtrToJAttribute, symObjAddr: 0x26C, symBinAddr: 0x474C, symSize: 0xCD }
  - { offsetInCU: 0x2F9C, offset: 0x8EBF, size: 0x8, addend: 0x0, symName: _ckAttributeValueToJObject, symObjAddr: 0x339, symBinAddr: 0x4819, symSize: 0x23B }
  - { offsetInCU: 0x30BD, offset: 0x8FE0, size: 0x8, addend: 0x0, symName: _jVersionToCKVersionPtr, symObjAddr: 0x574, symBinAddr: 0x4A54, symSize: 0xDB }
  - { offsetInCU: 0x31DF, offset: 0x9102, size: 0x8, addend: 0x0, symName: _jDateObjectToCKDatePtr, symObjAddr: 0x64F, symBinAddr: 0x4B2F, symSize: 0x317 }
  - { offsetInCU: 0x3484, offset: 0x93A7, size: 0x8, addend: 0x0, symName: _jAttributeToCKAttribute, symObjAddr: 0x966, symBinAddr: 0x4E46, symSize: 0xD3 }
  - { offsetInCU: 0x35BF, offset: 0x94E2, size: 0x8, addend: 0x0, symName: _masterKeyDeriveParamToCKMasterKeyDeriveParam, symObjAddr: 0xA39, symBinAddr: 0x4F19, symSize: 0x1DA }
  - { offsetInCU: 0x3831, offset: 0x9754, size: 0x8, addend: 0x0, symName: _jSsl3MasterKeyDeriveParamToCKSsl3MasterKeyDeriveParamPtr, symObjAddr: 0xC13, symBinAddr: 0x50F3, symSize: 0xA6 }
  - { offsetInCU: 0x3909, offset: 0x982C, size: 0x8, addend: 0x0, symName: _jTls12MasterKeyDeriveParamToCKTls12MasterKeyDeriveParamPtr, symObjAddr: 0xCB9, symBinAddr: 0x5199, symSize: 0xF9 }
  - { offsetInCU: 0x3A31, offset: 0x9954, size: 0x8, addend: 0x0, symName: _jTlsExtendedMasterKeyDeriveParamToCKTlsExtendedMasterKeyDeriveParamPtr, symObjAddr: 0xDB2, symBinAddr: 0x5292, symSize: 0x134 }
  - { offsetInCU: 0x3B93, offset: 0x9AB6, size: 0x8, addend: 0x0, symName: _jTlsPrfParamsToCKTlsPrfParamPtr, symObjAddr: 0xEE6, symBinAddr: 0x53C6, symSize: 0x1F0 }
  - { offsetInCU: 0x3D9B, offset: 0x9CBE, size: 0x8, addend: 0x0, symName: _jTlsMacParamsToCKTlsMacParamPtr, symObjAddr: 0x10D6, symBinAddr: 0x55B6, symSize: 0x145 }
  - { offsetInCU: 0x3F01, offset: 0x9E24, size: 0x8, addend: 0x0, symName: _keyMatParamToCKKeyMatParam, symObjAddr: 0x121B, symBinAddr: 0x56FB, symSize: 0x3F9 }
  - { offsetInCU: 0x4394, offset: 0xA2B7, size: 0x8, addend: 0x0, symName: _jSsl3KeyMatParamToCKSsl3KeyMatParamPtr, symObjAddr: 0x1614, symBinAddr: 0x5AF4, symSize: 0xCD }
  - { offsetInCU: 0x4478, offset: 0xA39B, size: 0x8, addend: 0x0, symName: _jTls12KeyMatParamToCKTls12KeyMatParamPtr, symObjAddr: 0x16E1, symBinAddr: 0x5BC1, symSize: 0x115 }
  - { offsetInCU: 0x45A6, offset: 0xA4C9, size: 0x8, addend: 0x0, symName: _jAesCtrParamsToCKAesCtrParamPtr, symObjAddr: 0x17F6, symBinAddr: 0x5CD6, symSize: 0x172 }
  - { offsetInCU: 0x4752, offset: 0xA675, size: 0x8, addend: 0x0, symName: _jGCMParamsToCKGCMParamPtr, symObjAddr: 0x1968, symBinAddr: 0x5E48, symSize: 0x1BA }
  - { offsetInCU: 0x4946, offset: 0xA869, size: 0x8, addend: 0x0, symName: _jCCMParamsToCKCCMParamPtr, symObjAddr: 0x1B22, symBinAddr: 0x6002, symSize: 0x203 }
  - { offsetInCU: 0x4B7C, offset: 0xAA9F, size: 0x8, addend: 0x0, symName: _jMechanismToCKMechanismPtr, symObjAddr: 0x1D25, symBinAddr: 0x6205, symSize: 0x9D }
  - { offsetInCU: 0x4C52, offset: 0xAB75, size: 0x8, addend: 0x0, symName: _jMechParamToCKMechParamPtr, symObjAddr: 0x1DC2, symBinAddr: 0x62A2, symSize: 0xB0 }
  - { offsetInCU: 0x4D44, offset: 0xAC67, size: 0x8, addend: 0x0, symName: _jMechParamToCKMechParamPtrSlow, symObjAddr: 0x1E72, symBinAddr: 0x6352, symSize: 0x37A }
  - { offsetInCU: 0x4FD7, offset: 0xAEFA, size: 0x8, addend: 0x0, symName: _jRsaPkcsPssParamToCKRsaPkcsPssParamPtr, symObjAddr: 0x27E2, symBinAddr: 0x6CC2, symSize: 0x145 }
  - { offsetInCU: 0x513D, offset: 0xB060, size: 0x8, addend: 0x0, symName: _jEcdh1DeriveParamToCKEcdh1DeriveParamPtr, symObjAddr: 0x2927, symBinAddr: 0x6E07, symSize: 0x1A1 }
  - { offsetInCU: 0x5313, offset: 0xB236, size: 0x8, addend: 0x0, symName: _jPbeParamToCKPbeParamPtr, symObjAddr: 0x23A2, symBinAddr: 0x6882, symSize: 0x210 }
  - { offsetInCU: 0x5579, offset: 0xB49C, size: 0x8, addend: 0x0, symName: _jX942Dh2DeriveParamToCKX942Dh2DeriveParamPtr, symObjAddr: 0x2EF3, symBinAddr: 0x73D3, symSize: 0x299 }
  - { offsetInCU: 0x584B, offset: 0xB76E, size: 0x8, addend: 0x0, symName: _jX942Dh1DeriveParamToCKX942Dh1DeriveParamPtr, symObjAddr: 0x2D52, symBinAddr: 0x7232, symSize: 0x1A1 }
  - { offsetInCU: 0x5A34, offset: 0xB957, size: 0x8, addend: 0x0, symName: _jRsaPkcsOaepParamToCKRsaPkcsOaepParamPtr, symObjAddr: 0x21EC, symBinAddr: 0x66CC, symSize: 0x1B6 }
  - { offsetInCU: 0x5C0C, offset: 0xBB2F, size: 0x8, addend: 0x0, symName: _jPkcs5Pbkd2ParamToCKPkcs5Pbkd2ParamPtr, symObjAddr: 0x25B2, symBinAddr: 0x6A92, symSize: 0x230 }
  - { offsetInCU: 0x5E62, offset: 0xBD85, size: 0x8, addend: 0x0, symName: _jEcdh2DeriveParamToCKEcdh2DeriveParamPtr, symObjAddr: 0x2AC8, symBinAddr: 0x6FA8, symSize: 0x28A }
  - { offsetInCU: 0x615C, offset: 0xC07F, size: 0x8, addend: 0x0, symName: _copyBackPBEInitializationVector, symObjAddr: 0x318C, symBinAddr: 0x766C, symSize: 0x19B }
  - { offsetInCU: 0x26, offset: 0xCB58, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1EncryptInit, symObjAddr: 0x0, symBinAddr: 0x7807, symSize: 0xC9 }
  - { offsetInCU: 0x94, offset: 0xCBC6, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1EncryptInit, symObjAddr: 0x0, symBinAddr: 0x7807, symSize: 0xC9 }
  - { offsetInCU: 0x39F8, offset: 0x1052A, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1Encrypt, symObjAddr: 0xC9, symBinAddr: 0x78D0, symSize: 0x14A }
  - { offsetInCU: 0x3BD6, offset: 0x10708, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1EncryptUpdate, symObjAddr: 0x213, symBinAddr: 0x7A1A, symSize: 0x14A }
  - { offsetInCU: 0x3DB4, offset: 0x108E6, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1EncryptFinal, symObjAddr: 0x35D, symBinAddr: 0x7B64, symSize: 0xBF }
  - { offsetInCU: 0x3F21, offset: 0x10A53, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1DecryptInit, symObjAddr: 0x41C, symBinAddr: 0x7C23, symSize: 0xC9 }
  - { offsetInCU: 0x40B0, offset: 0x10BE2, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1Decrypt, symObjAddr: 0x4E5, symBinAddr: 0x7CEC, symSize: 0x14A }
  - { offsetInCU: 0x42A1, offset: 0x10DD3, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1DecryptUpdate, symObjAddr: 0x62F, symBinAddr: 0x7E36, symSize: 0x14A }
  - { offsetInCU: 0x4492, offset: 0x10FC4, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1DecryptFinal, symObjAddr: 0x779, symBinAddr: 0x7F80, symSize: 0xBF }
  - { offsetInCU: 0x26, offset: 0x11157, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1DigestInit, symObjAddr: 0x0, symBinAddr: 0x803F, symSize: 0x73 }
  - { offsetInCU: 0xAB, offset: 0x111DC, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1DigestInit, symObjAddr: 0x0, symBinAddr: 0x803F, symSize: 0x73 }
  - { offsetInCU: 0x397A, offset: 0x14AAB, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1DigestSingle, symObjAddr: 0x73, symBinAddr: 0x80B2, symSize: 0x1D9 }
  - { offsetInCU: 0x3C24, offset: 0x14D55, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1DigestUpdate, symObjAddr: 0x24C, symBinAddr: 0x828B, symSize: 0x208 }
  - { offsetInCU: 0x3DE7, offset: 0x14F18, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1DigestKey, symObjAddr: 0x454, symBinAddr: 0x8493, symSize: 0x49 }
  - { offsetInCU: 0x3EBD, offset: 0x14FEE, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1DigestFinal, symObjAddr: 0x49D, symBinAddr: 0x84DC, symSize: 0xA8 }
  - { offsetInCU: 0x3FF8, offset: 0x15129, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1SeedRandom, symObjAddr: 0x545, symBinAddr: 0x8584, symSize: 0x86 }
  - { offsetInCU: 0x4146, offset: 0x15277, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1GenerateRandom, symObjAddr: 0x5CB, symBinAddr: 0x860A, symSize: 0xA1 }
  - { offsetInCU: 0x26, offset: 0x15417, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0x0, symBinAddr: 0x86AB, symSize: 0x12 }
  - { offsetInCU: 0x3F, offset: 0x15430, size: 0x8, addend: 0x0, symName: _jvm, symObjAddr: 0xCF10, symBinAddr: 0x14088, symSize: 0x0 }
  - { offsetInCU: 0x14A, offset: 0x1553B, size: 0x8, addend: 0x0, symName: _pNativeDataID, symBinAddr: 0x140B8, symSize: 0x0 }
  - { offsetInCU: 0x174, offset: 0x15565, size: 0x8, addend: 0x0, symName: _mech_mechanismID, symBinAddr: 0x140A0, symSize: 0x0 }
  - { offsetInCU: 0x189, offset: 0x1557A, size: 0x8, addend: 0x0, symName: _mech_pParameterID, symBinAddr: 0x140B0, symSize: 0x0 }
  - { offsetInCU: 0x19E, offset: 0x1558F, size: 0x8, addend: 0x0, symName: _mech_pHandleID, symBinAddr: 0x140A8, symSize: 0x0 }
  - { offsetInCU: 0x1B3, offset: 0x155A4, size: 0x8, addend: 0x0, symName: _jByteArrayClass, symBinAddr: 0x14090, symSize: 0x0 }
  - { offsetInCU: 0x1E8, offset: 0x155D9, size: 0x8, addend: 0x0, symName: _jLongClass, symBinAddr: 0x14098, symSize: 0x0 }
  - { offsetInCU: 0x284, offset: 0x15675, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0x0, symBinAddr: 0x86AB, symSize: 0x12 }
  - { offsetInCU: 0x2B8, offset: 0x156A9, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_freeMechanism, symObjAddr: 0x12, symBinAddr: 0x86BD, symSize: 0x15 }
  - { offsetInCU: 0x368, offset: 0x15759, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_initializeLibrary, symObjAddr: 0x27, symBinAddr: 0x86D2, symSize: 0x3D }
  - { offsetInCU: 0x2AAD, offset: 0x17E9E, size: 0x8, addend: 0x0, symName: _prefetchFields, symObjAddr: 0x64, symBinAddr: 0x870F, symSize: 0x156 }
  - { offsetInCU: 0x2C36, offset: 0x18027, size: 0x8, addend: 0x0, symName: _fetchClass, symObjAddr: 0x1BA, symBinAddr: 0x8865, symSize: 0x35 }
  - { offsetInCU: 0x2C91, offset: 0x18082, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_finalizeLibrary, symObjAddr: 0x1EF, symBinAddr: 0x889A, symSize: 0x6 }
  - { offsetInCU: 0x2CC1, offset: 0x180B2, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1Initialize, symObjAddr: 0x1F5, symBinAddr: 0x88A0, symSize: 0x67 }
  - { offsetInCU: 0x3DA0, offset: 0x19191, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1Finalize, symObjAddr: 0x25C, symBinAddr: 0x8907, symSize: 0x31 }
  - { offsetInCU: 0x3E55, offset: 0x19246, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1GetInfo, symObjAddr: 0x28D, symBinAddr: 0x8938, symSize: 0x86 }
  - { offsetInCU: 0x3F2B, offset: 0x1931C, size: 0x8, addend: 0x0, symName: _ckInfoPtrToJInfo, symObjAddr: 0x313, symBinAddr: 0x89BE, symSize: 0x16E }
  - { offsetInCU: 0x4180, offset: 0x19571, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1GetSlotList, symObjAddr: 0x481, symBinAddr: 0x8B2C, symSize: 0xC3 }
  - { offsetInCU: 0x430B, offset: 0x196FC, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1GetSlotInfo, symObjAddr: 0x544, symBinAddr: 0x8BEF, symSize: 0x7D }
  - { offsetInCU: 0x4407, offset: 0x197F8, size: 0x8, addend: 0x0, symName: _ckSlotInfoPtrToJSlotInfo, symObjAddr: 0x5C1, symBinAddr: 0x8C6C, symSize: 0x171 }
  - { offsetInCU: 0x4611, offset: 0x19A02, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1GetTokenInfo, symObjAddr: 0x732, symBinAddr: 0x8DDD, symSize: 0x7D }
  - { offsetInCU: 0x470D, offset: 0x19AFE, size: 0x8, addend: 0x0, symName: _ckTokenInfoPtrToJTokenInfo, symObjAddr: 0x7AF, symBinAddr: 0x8E5A, symSize: 0x2A4 }
  - { offsetInCU: 0x4A7E, offset: 0x19E6F, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1GetMechanismList, symObjAddr: 0xA53, symBinAddr: 0x90FE, symSize: 0xB9 }
  - { offsetInCU: 0x4BD5, offset: 0x19FC6, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1GetMechanismInfo, symObjAddr: 0xB0C, symBinAddr: 0x91B7, symSize: 0x58 }
  - { offsetInCU: 0x4CF4, offset: 0x1A0E5, size: 0x8, addend: 0x0, symName: _ckMechanismInfoPtrToJMechanismInfo, symObjAddr: 0xB64, symBinAddr: 0x920F, symSize: 0x96 }
  - { offsetInCU: 0x26, offset: 0x1A215, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_getNativeKeyInfo, symObjAddr: 0x0, symBinAddr: 0x92A8, symSize: 0x600 }
  - { offsetInCU: 0x4D, offset: 0x1A23C, size: 0x8, addend: 0x0, symName: _ckpAttributesTemplate, symObjAddr: 0x1640, symBinAddr: 0xF8B0, symSize: 0x0 }
  - { offsetInCU: 0x499, offset: 0x1A688, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_getNativeKeyInfo, symObjAddr: 0x0, symBinAddr: 0x92A8, symSize: 0x600 }
  - { offsetInCU: 0x3FE3, offset: 0x1E1D2, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_createNativeKey, symObjAddr: 0x600, symBinAddr: 0x98A8, symSize: 0x181 }
  - { offsetInCU: 0x4276, offset: 0x1E465, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1GenerateKey, symObjAddr: 0x781, symBinAddr: 0x9A29, symSize: 0x106 }
  - { offsetInCU: 0x44AE, offset: 0x1E69D, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1GenerateKeyPair, symObjAddr: 0x887, symBinAddr: 0x9B2F, symSize: 0x16F }
  - { offsetInCU: 0x476B, offset: 0x1E95A, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1WrapKey, symObjAddr: 0x9F6, symBinAddr: 0x9C9E, symSize: 0x17A }
  - { offsetInCU: 0x49AE, offset: 0x1EB9D, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1UnwrapKey, symObjAddr: 0xB70, symBinAddr: 0x9E18, symSize: 0x122 }
  - { offsetInCU: 0x4C2B, offset: 0x1EE1A, size: 0x8, addend: 0x0, symName: _copyBackTLSPrfParams, symObjAddr: 0xC92, symBinAddr: 0x9F3A, symSize: 0x182 }
  - { offsetInCU: 0x4F55, offset: 0x1F144, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1DeriveKey, symObjAddr: 0xE14, symBinAddr: 0xA0BC, symSize: 0x228 }
  - { offsetInCU: 0x52C3, offset: 0x1F4B2, size: 0x8, addend: 0x0, symName: _copyBackClientVersion, symObjAddr: 0x10DC, symBinAddr: 0xA384, symSize: 0x1C4 }
  - { offsetInCU: 0x54D1, offset: 0x1F6C0, size: 0x8, addend: 0x0, symName: _copyBackKeyMatParams, symObjAddr: 0x12A0, symBinAddr: 0xA548, symSize: 0x394 }
  - { offsetInCU: 0x58A0, offset: 0x1FA8F, size: 0x8, addend: 0x0, symName: _ssl3CopyBackClientVersion, symObjAddr: 0x103C, symBinAddr: 0xA2E4, symSize: 0x20 }
  - { offsetInCU: 0x58DF, offset: 0x1FACE, size: 0x8, addend: 0x0, symName: _tls12CopyBackClientVersion, symObjAddr: 0x105C, symBinAddr: 0xA304, symSize: 0x20 }
  - { offsetInCU: 0x591E, offset: 0x1FB0D, size: 0x8, addend: 0x0, symName: _tlsEmsCopyBackClientVersion, symObjAddr: 0x107C, symBinAddr: 0xA324, symSize: 0x20 }
  - { offsetInCU: 0x595D, offset: 0x1FB4C, size: 0x8, addend: 0x0, symName: _ssl3CopyBackKeyMatParams, symObjAddr: 0x109C, symBinAddr: 0xA344, symSize: 0x20 }
  - { offsetInCU: 0x599C, offset: 0x1FB8B, size: 0x8, addend: 0x0, symName: _tls12CopyBackKeyMatParams, symObjAddr: 0x10BC, symBinAddr: 0xA364, symSize: 0x20 }
  - { offsetInCU: 0x26, offset: 0x1FC32, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_connect, symObjAddr: 0x0, symBinAddr: 0xA8DC, symSize: 0x1F4 }
  - { offsetInCU: 0x1072, offset: 0x20C7E, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_connect, symObjAddr: 0x0, symBinAddr: 0xA8DC, symSize: 0x1F4 }
  - { offsetInCU: 0x3B64, offset: 0x23770, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_disconnect, symObjAddr: 0x1F4, symBinAddr: 0xAAD0, symSize: 0x29 }
  - { offsetInCU: 0x26, offset: 0x23819, size: 0x8, addend: 0x0, symName: _makeCKInitArgsAdapter, symObjAddr: 0x0, symBinAddr: 0xAAF9, symSize: 0x29B }
  - { offsetInCU: 0x4D, offset: 0x23840, size: 0x8, addend: 0x0, symName: _jInitArgsObject, symBinAddr: 0x140C8, symSize: 0x0 }
  - { offsetInCU: 0x77, offset: 0x2386A, size: 0x8, addend: 0x0, symName: _ckpGlobalInitArgs, symBinAddr: 0x140C0, symSize: 0x0 }
  - { offsetInCU: 0x1BB, offset: 0x239AE, size: 0x8, addend: 0x0, symName: _makeCKInitArgsAdapter, symObjAddr: 0x0, symBinAddr: 0xAAF9, symSize: 0x29B }
  - { offsetInCU: 0x2BEA, offset: 0x263DD, size: 0x8, addend: 0x0, symName: _callJCreateMutex, symObjAddr: 0x29B, symBinAddr: 0xAD94, symSize: 0x1A6 }
  - { offsetInCU: 0x2D9C, offset: 0x2658F, size: 0x8, addend: 0x0, symName: _callJDestroyMutex, symObjAddr: 0x441, symBinAddr: 0xAF3A, symSize: 0x1A7 }
  - { offsetInCU: 0x2F6A, offset: 0x2675D, size: 0x8, addend: 0x0, symName: _callJLockMutex, symObjAddr: 0x5E8, symBinAddr: 0xB0E1, symSize: 0x197 }
  - { offsetInCU: 0x3126, offset: 0x26919, size: 0x8, addend: 0x0, symName: _callJUnlockMutex, symObjAddr: 0x77F, symBinAddr: 0xB278, symSize: 0x197 }
  - { offsetInCU: 0x26, offset: 0x26AFB, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1CreateObject, symObjAddr: 0x0, symBinAddr: 0xB40F, symSize: 0xA4 }
  - { offsetInCU: 0xA1, offset: 0x26B76, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1CreateObject, symObjAddr: 0x0, symBinAddr: 0xB40F, symSize: 0xA4 }
  - { offsetInCU: 0x39C0, offset: 0x2A495, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1CopyObject, symObjAddr: 0xA4, symBinAddr: 0xB4B3, symSize: 0xAF }
  - { offsetInCU: 0x3B36, offset: 0x2A60B, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1DestroyObject, symObjAddr: 0x153, symBinAddr: 0xB562, symSize: 0x49 }
  - { offsetInCU: 0x3C0C, offset: 0x2A6E1, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1GetAttributeValue, symObjAddr: 0x19C, symBinAddr: 0xB5AB, symSize: 0x1EA }
  - { offsetInCU: 0x3E56, offset: 0x2A92B, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1SetAttributeValue, symObjAddr: 0x386, symBinAddr: 0xB795, symSize: 0x94 }
  - { offsetInCU: 0x3FB0, offset: 0x2AA85, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1FindObjectsInit, symObjAddr: 0x41A, symBinAddr: 0xB829, symSize: 0x89 }
  - { offsetInCU: 0x40E4, offset: 0x2ABB9, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1FindObjects, symObjAddr: 0x4A3, symBinAddr: 0xB8B2, symSize: 0xA2 }
  - { offsetInCU: 0x4251, offset: 0x2AD26, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1FindObjectsFinal, symObjAddr: 0x545, symBinAddr: 0xB954, symSize: 0x34 }
  - { offsetInCU: 0x26, offset: 0x2AE05, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1OpenSession, symObjAddr: 0x0, symBinAddr: 0xB988, symSize: 0x11F }
  - { offsetInCU: 0x3F, offset: 0x2AE1E, size: 0x8, addend: 0x0, symName: _notifyListHead, symObjAddr: 0xB080, symBinAddr: 0x140D0, symSize: 0x0 }
  - { offsetInCU: 0x103, offset: 0x2AEE2, size: 0x8, addend: 0x0, symName: _notifyListLock, symObjAddr: 0xB088, symBinAddr: 0x140D8, symSize: 0x0 }
  - { offsetInCU: 0x1C8, offset: 0x2AFA7, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1OpenSession, symObjAddr: 0x0, symBinAddr: 0xB988, symSize: 0x11F }
  - { offsetInCU: 0x3AE0, offset: 0x2E8BF, size: 0x8, addend: 0x0, symName: _putNotifyEntry, symObjAddr: 0x26D, symBinAddr: 0xBBF5, symSize: 0xAE }
  - { offsetInCU: 0x3B84, offset: 0x2E963, size: 0x8, addend: 0x0, symName: _notifyCallback, symObjAddr: 0x11F, symBinAddr: 0xBAA7, symSize: 0x14E }
  - { offsetInCU: 0x3D28, offset: 0x2EB07, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1CloseSession, symObjAddr: 0x31B, symBinAddr: 0xBCA3, symSize: 0x75 }
  - { offsetInCU: 0x3E36, offset: 0x2EC15, size: 0x8, addend: 0x0, symName: _removeNotifyEntry, symObjAddr: 0x390, symBinAddr: 0xBD18, symSize: 0x88 }
  - { offsetInCU: 0x3EC6, offset: 0x2ECA5, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1GetSessionInfo, symObjAddr: 0x418, symBinAddr: 0xBDA0, symSize: 0x51 }
  - { offsetInCU: 0x3FD7, offset: 0x2EDB6, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1GetOperationState, symObjAddr: 0x469, symBinAddr: 0xBDF1, symSize: 0xBB }
  - { offsetInCU: 0x414F, offset: 0x2EF2E, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1SetOperationState, symObjAddr: 0x524, symBinAddr: 0xBEAC, symSize: 0x98 }
  - { offsetInCU: 0x42EB, offset: 0x2F0CA, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1Login, symObjAddr: 0x5BC, symBinAddr: 0xBF44, symSize: 0x91 }
  - { offsetInCU: 0x446F, offset: 0x2F24E, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1Logout, symObjAddr: 0x64D, symBinAddr: 0xBFD5, symSize: 0x34 }
  - { offsetInCU: 0x4528, offset: 0x2F307, size: 0x8, addend: 0x0, symName: _removeFirstNotifyEntry, symObjAddr: 0x681, symBinAddr: 0xC009, symSize: 0x5A }
  - { offsetInCU: 0x26, offset: 0x2F39D, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1SignInit, symObjAddr: 0x0, symBinAddr: 0xC063, symSize: 0xC0 }
  - { offsetInCU: 0xBD, offset: 0x2F434, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1SignInit, symObjAddr: 0x0, symBinAddr: 0xC063, symSize: 0xC0 }
  - { offsetInCU: 0x39B8, offset: 0x32D2F, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1Sign, symObjAddr: 0xC0, symBinAddr: 0xC123, symSize: 0x102 }
  - { offsetInCU: 0x3B73, offset: 0x32EEA, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1SignUpdate, symObjAddr: 0x1C2, symBinAddr: 0xC225, symSize: 0x1C8 }
  - { offsetInCU: 0x3D6C, offset: 0x330E3, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1SignFinal, symObjAddr: 0x38A, symBinAddr: 0xC3ED, symSize: 0x123 }
  - { offsetInCU: 0x3EB7, offset: 0x3322E, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1SignRecoverInit, symObjAddr: 0x4AD, symBinAddr: 0xC510, symSize: 0xC0 }
  - { offsetInCU: 0x401C, offset: 0x33393, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1SignRecover, symObjAddr: 0x56D, symBinAddr: 0xC5D0, symSize: 0x1E7 }
  - { offsetInCU: 0x4252, offset: 0x335C9, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1VerifyInit, symObjAddr: 0x754, symBinAddr: 0xC7B7, symSize: 0xC0 }
  - { offsetInCU: 0x43B7, offset: 0x3372E, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1Verify, symObjAddr: 0x814, symBinAddr: 0xC877, symSize: 0xCC }
  - { offsetInCU: 0x4557, offset: 0x338CE, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1VerifyUpdate, symObjAddr: 0x8E0, symBinAddr: 0xC943, symSize: 0x1B2 }
  - { offsetInCU: 0x4741, offset: 0x33AB8, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1VerifyFinal, symObjAddr: 0xA92, symBinAddr: 0xCAF5, symSize: 0x86 }
  - { offsetInCU: 0x4868, offset: 0x33BDF, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1VerifyRecoverInit, symObjAddr: 0xB18, symBinAddr: 0xCB7B, symSize: 0xC0 }
  - { offsetInCU: 0x49CD, offset: 0x33D44, size: 0x8, addend: 0x0, symName: _Java_sun_security_pkcs11_wrapper_PKCS11_C_1VerifyRecover, symObjAddr: 0xBD8, symBinAddr: 0xCC3B, symSize: 0x1E7 }
  - { offsetInCU: 0x26, offset: 0x33FAD, size: 0x8, addend: 0x0, symName: _createLockObject, symObjAddr: 0x0, symBinAddr: 0xCE22, symSize: 0x77 }
  - { offsetInCU: 0x11E1, offset: 0x35168, size: 0x8, addend: 0x0, symName: _createLockObject, symObjAddr: 0x0, symBinAddr: 0xCE22, symSize: 0x77 }
  - { offsetInCU: 0x128C, offset: 0x35213, size: 0x8, addend: 0x0, symName: _destroyLockObject, symObjAddr: 0x77, symBinAddr: 0xCE99, symSize: 0x17 }
  - { offsetInCU: 0x12C7, offset: 0x3524E, size: 0x8, addend: 0x0, symName: _putModuleEntry, symObjAddr: 0x8E, symBinAddr: 0xCEB0, symSize: 0x29 }
  - { offsetInCU: 0x1311, offset: 0x35298, size: 0x8, addend: 0x0, symName: _getModuleEntry, symObjAddr: 0xB7, symBinAddr: 0xCED9, symSize: 0x21 }
  - { offsetInCU: 0x3B34, offset: 0x37ABB, size: 0x8, addend: 0x0, symName: _getFunctionList, symObjAddr: 0xD8, symBinAddr: 0xCEFA, symSize: 0x60 }
  - { offsetInCU: 0x3C4D, offset: 0x37BD4, size: 0x8, addend: 0x0, symName: _throwDisconnectedRuntimeException, symObjAddr: 0x138, symBinAddr: 0xCF5A, symSize: 0x3E }
  - { offsetInCU: 0x3CDF, offset: 0x37C66, size: 0x8, addend: 0x0, symName: _isModulePresent, symObjAddr: 0x176, symBinAddr: 0xCF98, symSize: 0x2C }
  - { offsetInCU: 0x3D34, offset: 0x37CBB, size: 0x8, addend: 0x0, symName: _isModulePresent, symObjAddr: 0x176, symBinAddr: 0xCF98, symSize: 0x2C }
  - { offsetInCU: 0x3D63, offset: 0x37CEA, size: 0x8, addend: 0x0, symName: _removeModuleEntry, symObjAddr: 0x1A2, symBinAddr: 0xCFC4, symSize: 0x57 }
  - { offsetInCU: 0x3DF5, offset: 0x37D7C, size: 0x8, addend: 0x0, symName: _removeAllModuleEntries, symObjAddr: 0x1F9, symBinAddr: 0xD01B, symSize: 0x6 }
  - { offsetInCU: 0x3E18, offset: 0x37D9F, size: 0x8, addend: 0x0, symName: _ckAssertReturnValueOK, symObjAddr: 0x1FF, symBinAddr: 0xD021, symSize: 0x92 }
  - { offsetInCU: 0x3EF7, offset: 0x37E7E, size: 0x8, addend: 0x0, symName: _throwByName, symObjAddr: 0x291, symBinAddr: 0xD0B3, symSize: 0x33 }
  - { offsetInCU: 0x3F61, offset: 0x37EE8, size: 0x8, addend: 0x0, symName: _throwOutOfMemoryError, symObjAddr: 0x2C4, symBinAddr: 0xD0E6, symSize: 0x3A }
  - { offsetInCU: 0x3FEB, offset: 0x37F72, size: 0x8, addend: 0x0, symName: _throwNullPointerException, symObjAddr: 0x2FE, symBinAddr: 0xD120, symSize: 0x3A }
  - { offsetInCU: 0x4083, offset: 0x3800A, size: 0x8, addend: 0x0, symName: _throwIOException, symObjAddr: 0x338, symBinAddr: 0xD15A, symSize: 0x3A }
  - { offsetInCU: 0x411B, offset: 0x380A2, size: 0x8, addend: 0x0, symName: _throwPKCS11RuntimeException, symObjAddr: 0x372, symBinAddr: 0xD194, symSize: 0x3A }
  - { offsetInCU: 0x41A6, offset: 0x3812D, size: 0x8, addend: 0x0, symName: _freeCKAttributeArray, symObjAddr: 0x3AC, symBinAddr: 0xD1CE, symSize: 0x4E }
  - { offsetInCU: 0x41FB, offset: 0x38182, size: 0x8, addend: 0x0, symName: _freeCKMechanismPtr, symObjAddr: 0x3FA, symBinAddr: 0xD21C, symSize: 0x18F }
  - { offsetInCU: 0x4296, offset: 0x3821D, size: 0x8, addend: 0x0, symName: _updateGCMParams, symObjAddr: 0x589, symBinAddr: 0xD3AB, symSize: 0xCC }
  - { offsetInCU: 0x4371, offset: 0x382F8, size: 0x8, addend: 0x0, symName: _jBooleanArrayToCKBBoolArray, symObjAddr: 0x655, symBinAddr: 0xD477, symSize: 0x111 }
  - { offsetInCU: 0x449C, offset: 0x38423, size: 0x8, addend: 0x0, symName: _jByteArrayToCKByteArray, symObjAddr: 0x766, symBinAddr: 0xD588, symSize: 0xCF }
  - { offsetInCU: 0x45D9, offset: 0x38560, size: 0x8, addend: 0x0, symName: _jLongArrayToCKULongArray, symObjAddr: 0x835, symBinAddr: 0xD657, symSize: 0x110 }
  - { offsetInCU: 0x4704, offset: 0x3868B, size: 0x8, addend: 0x0, symName: _jCharArrayToCKCharArray, symObjAddr: 0x945, symBinAddr: 0xD767, symSize: 0x10F }
  - { offsetInCU: 0x482F, offset: 0x387B6, size: 0x8, addend: 0x0, symName: _jCharArrayToCKUTF8CharArray, symObjAddr: 0xA54, symBinAddr: 0xD876, symSize: 0x10F }
  - { offsetInCU: 0x495A, offset: 0x388E1, size: 0x8, addend: 0x0, symName: _jStringToCKUTF8CharArray, symObjAddr: 0xB63, symBinAddr: 0xD985, symSize: 0xCA }
  - { offsetInCU: 0x4A9F, offset: 0x38A26, size: 0x8, addend: 0x0, symName: _jAttributeArrayToCKAttributeArray, symObjAddr: 0xC2D, symBinAddr: 0xDA4F, symSize: 0x151 }
  - { offsetInCU: 0x4C36, offset: 0x38BBD, size: 0x8, addend: 0x0, symName: _ckByteArrayToJByteArray, symObjAddr: 0xD7E, symBinAddr: 0xDBA0, symSize: 0x4C }
  - { offsetInCU: 0x4CEF, offset: 0x38C76, size: 0x8, addend: 0x0, symName: _ckULongArrayToJLongArray, symObjAddr: 0xDCA, symBinAddr: 0xDBEC, symSize: 0xB0 }
  - { offsetInCU: 0x4E2B, offset: 0x38DB2, size: 0x8, addend: 0x0, symName: _ckCharArrayToJCharArray, symObjAddr: 0xE7A, symBinAddr: 0xDC9C, symSize: 0xB1 }
  - { offsetInCU: 0x4F67, offset: 0x38EEE, size: 0x8, addend: 0x0, symName: _ckUTF8CharArrayToJCharArray, symObjAddr: 0xF2B, symBinAddr: 0xDD4D, symSize: 0xB1 }
  - { offsetInCU: 0x50A3, offset: 0x3902A, size: 0x8, addend: 0x0, symName: _ckBBoolPtrToJBooleanObject, symObjAddr: 0xFDC, symBinAddr: 0xDDFE, symSize: 0x7F }
  - { offsetInCU: 0x515D, offset: 0x390E4, size: 0x8, addend: 0x0, symName: _ckULongPtrToJLongObject, symObjAddr: 0x105B, symBinAddr: 0xDE7D, symSize: 0x79 }
  - { offsetInCU: 0x5217, offset: 0x3919E, size: 0x8, addend: 0x0, symName: _jBooleanObjectToCKBBoolPtr, symObjAddr: 0x10D4, symBinAddr: 0xDEF6, symSize: 0xB0 }
  - { offsetInCU: 0x534F, offset: 0x392D6, size: 0x8, addend: 0x0, symName: _jByteObjectToCKBytePtr, symObjAddr: 0x1184, symBinAddr: 0xDFA6, symSize: 0xAC }
  - { offsetInCU: 0x5487, offset: 0x3940E, size: 0x8, addend: 0x0, symName: _jIntegerObjectToCKULongPtr, symObjAddr: 0x1230, symBinAddr: 0xE052, symSize: 0xAF }
  - { offsetInCU: 0x55BF, offset: 0x39546, size: 0x8, addend: 0x0, symName: _jLongObjectToCKULongPtr, symObjAddr: 0x12DF, symBinAddr: 0xE101, symSize: 0xAC }
  - { offsetInCU: 0x56F7, offset: 0x3967E, size: 0x8, addend: 0x0, symName: _jCharObjectToCKCharPtr, symObjAddr: 0x138B, symBinAddr: 0xE1AD, symSize: 0xAC }
  - { offsetInCU: 0x582F, offset: 0x397B6, size: 0x8, addend: 0x0, symName: _jObjectToPrimitiveCKObjectPtr, symObjAddr: 0x1437, symBinAddr: 0xE259, symSize: 0x509 }
...
